fuzzydl

## Class Assertion

- java.lang.Object
- - fuzzydl.Assertion

-     public class Assertion
      extends java.lang.Object

  Assertion of the form (individual, Concept, lowerDegree).
  Author:
    Fernando Bobillo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Assertion(Individual a, Concept c, Degree l)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Assertion ass)` Indicates whether some other assertion is "equal to" this one.
    `Concept` | `getConcept()` Gets the concept.
    `Individual` | `getIndividual()` Gets the individual.
    `Degree` | `getLowerLimit()` Gets the lower bound degree.
    `java.lang.String` | `getNameWithoutDegree()` Gets a printable name of the assertion without the lower bound.
    `int` | `getType()` Gets the type of the concept in the assertion.
    `void` | `setIndividual(Individual ind)` Sets the individual of the assertion.
    `void` | `setLowerLimit(Degree deg)` Sets the lower bound degree.
    `java.lang.String` | `toString()` Gets the name of the assertion.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Assertion

          public Assertion(Individual a,
                           Concept c,
                           Degree l)

  - ### Method Detail

    - #### getType

          public int getType()

      Gets the type of the concept in the assertion.
      Returns:
        Type of the concept in the assertion

    - #### getLowerLimit

          public Degree getLowerLimit()

      Gets the lower bound degree.
      Returns:
        Lower bound degree.

    - #### getConcept

          public Concept getConcept()

      Gets the concept.
      Returns:
        Concept.

    - #### getIndividual

          public Individual getIndividual()

      Gets the individual.
      Returns:
        Individual.

    - #### setIndividual

          public void setIndividual(Individual ind)

      Sets the individual of the assertion.
      Parameters:
        `ind` - An individual.

    - #### setLowerLimit

          public void setLowerLimit(Degree deg)

      Sets the lower bound degree.
      Parameters:
        `deg` - Lower bound degree.

    - #### toString

          public java.lang.String toString()

      Gets the name of the assertion.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Name of the assertion.

    - #### getNameWithoutDegree

          public java.lang.String getNameWithoutDegree()

      Gets a printable name of the assertion without the lower bound.
      Returns:
        Name of the assertion without the lower bound.

    - #### equals

          public boolean equals(Assertion ass)

      Indicates whether some other assertion is "equal to" this one.
      Parameters:
        `ass` - The reference assertion with which to compare.
      Returns:
        true if this object is the same as the argument; false otherwise.